[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetIsCellTitle

Determines whether the specified cell is a fixed title cell for the grid control.

## Declaration

Source position: dbgrids.pas line 475

`protected function TCustomDBGrid.GetIsCellTitle(`
`aCol: Integer;`
`aRow: Integer`
`):Boolean; override;`

## Arguments

`aCol` |  | Column number for the cell examine in the method.
`aRow` |  | Row number for the cell examine in the method.

## Function result

True if the specified column and row numbers are for a fixed title cell in the grid.

## Description

GetIsCellTitle is an overridden method in TCustomDBGrid. It re-implements the method from the ancestor class to ensure that the Columns collection has been enabled for the control, and that the specified row number is in the fixed rows for the control. The return is False if Columns.Enabled is False, FixedRows contains 0, or ARow has a value other than 0.